Skip to main content
GET
/
v1
/
retrievers
/
{retriever_id}
/
api-keys
List Retriever API Keys
curl --request GET \
  --url https://api.mixpeek.com/v1/retrievers/{retriever_id}/api-keys \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/retrievers/{retriever_id}/api-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/retrievers/{retriever_id}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "key_hash": "<string>",
      "internal_id": "<string>",
      "user_id": "<string>",
      "name": "<string>",
      "key_id": "<string>",
      "key_prefix": "sk_abc123...",
      "key_type": "standard",
      "subscription_id": "<string>",
      "is_internal": false,
      "organization_id": "<string>",
      "description": "",
      "permissions": [],
      "scopes": [
        {
          "resource_id": "<string>",
          "operations": []
        }
      ],
      "rate_limit_override": 123,
      "status": "active",
      "expires_at": "2023-11-07T05:31:56Z",
      "last_used_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "revoked_at": "2023-11-07T05:31:56Z",
      "revoked_by": "<string>",
      "allowed_origins": [
        "https://docs.example.com",
        "https://*.example.com"
      ],
      "principal_id": "<string>"
    }
  ],
  "total": 0
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retriever_id
string
required

Query Parameters

include_revoked
boolean
default:false

Include revoked and expired keys in the response

Response

Successful Response

Response for listing retriever API keys.

results
APIKeyModel · object[]

List of API keys for the retriever (plaintext key never included).

total
integer
default:0

Total number of keys (including revoked if requested).